Cannot upgrade/reinstall/uninstall squid



  • my browser had a bit of a hiccup while trying to update the squid package, during the part that warns very clearly not to navigate away from the page.. now whatever i try, uninstalling, reinstalling, or upgrading, i get:

    Warning: delete_package(/usr/local/pkg/squid.inc): failed to open stream: No such file or directory in /etc/inc/pkg-utils.inc on line 740 Fatal error: delete_package(): Failed opening required '/usr/local/pkg/squid.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg') in /etc/inc/pkg-utils.inc on line 740 
    

    i'm running 1.2.2 and the package is stuck on 2.6.21_07

    can anyone help? i would just reinstall and revert to saved config backups, but the machine itself is not particularly physically accessible.

    thanks in advance


Log in to reply